using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

enum menuState {
    mainMenu = 0,
    levelSelect,


}

public class MenuManager : MonoBehaviour
{
	public GameObject Clicking_Sound;
	public GameObject comic;

    public List<GameObject> panelList;
    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public void goLevelSelect()
    {
        panelList[0].gameObject.SetActive(false);
        panelList[1].gameObject.SetActive(true);
        panelList[2].gameObject.SetActive(false);
		Instantiate (Clicking_Sound);

    }
    public void goMainMenu()
    {
        panelList[0].gameObject.SetActive(true);
        panelList[1].gameObject.SetActive(false);
        panelList[2].gameObject.SetActive(false);
		Instantiate (Clicking_Sound);
    }
    public void goCredits()
    {
        panelList[0].gameObject.SetActive(false);
        panelList[1].gameObject.SetActive(false);
        panelList[2].gameObject.SetActive(true);
		Instantiate (Clicking_Sound);
    }
    public void quitGame()
    {
        Application.Quit();

    }


    public void killSelf()
    {
        comic.gameObject.SetActive(false);
    }


    public void startlevel0() {
        SceneManager.LoadScene("Level0");
		Instantiate (Clicking_Sound);
    }

    public void startlevel1()
    {
        SceneManager.LoadScene("Level1");
    }
    public void startlevel2()
    {
        SceneManager.LoadScene("Level2");
    }
    public void startlevel3()
    {
        SceneManager.LoadScene("Level3");
    }
    public void startlevel4()
    {
        SceneManager.LoadScene("Level4");
    }
    public void startlevel5()
    {
        SceneManager.LoadScene("Level5");
    }

}
